RunningObjectTable.ByReference (JNA API)

com.sun.jna.platform.win32.COM

## Class RunningObjectTable.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.RunningObjectTable
        - - com.sun.jna.platform.win32.COM.RunningObjectTable.ByReference

- All Implemented Interfaces:
    NativeMapped, IRunningObjectTable, IUnknown, Structure.ByReference
  Enclosing class:
    RunningObjectTable

      public static class RunningObjectTable.ByReference
      extends RunningObjectTable
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.RunningObjectTable

      `RunningObjectTable.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IRunningObjectTable

      `IID`

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.RunningObjectTable

      `EnumRunning, GetObject, GetTimeOfLastChange, IsRunning, NoteChangeTime, Register, Revoke`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.